#!/bin/bash

Default_BaudRate=115200
function help()
{
	echo "Usage: toybrick-bluetooth.sh {start | stop} [BaudRate]"
	echo "Default BaudRate is ${Default_BaudRate}"
}

case $1 in
	start)
		if [ $# -ge 2 ]; then
			sudo hciattach -n /dev/ttyS8 bcm43xx $2
		else
			sudo hciattach -n /dev/ttyS8 bcm43xx ${Default_BaudRate}
		fi
		;;
	stop)
		pkill hciattach
		;;
	*)
		help
		exit 1
esac
